Subject: FLOW3 should be usable without Doctrine
Description

FLOW3 should work without the Doctrine package. We should try to move the code that relies on Doctrine to a separate package to
make FLOW3 more modular.

If I don't active the Doctrine package in the current version I'll get an exception during compilation:

PHP Fatal error:  Class 'Doctrine\ORM\Query\TreeWalkerAdapter' not found in
.../Packages/Framework/TYPO3.FLOW3/Classes/Persistence/Doctrine/CountWalker.php on line 24

As a general goal we should try to push FLOW3 more into a component based architecture (though we provide the user with a
full-stack framework with the base distribution).

Associated revisions
Revision 7f648f8a - 2011-07-19 18:52 - Christopher Hlubek

[BUGFIX] It should be possible to disable Doctrine integration

This change introduces a setting to control the integration of Doctrine
in the bootstrap of FLOW3. For non-Doctrine persistence backends no
Doctrine code should be invoked, otherwise warnings about missing
driver or driverClass options will occur. And there is no need to
do proxy code compilation for Doctrine if it's not used.

Change-Id: I0ae80d2106c758d12242805ed20becb696e75da8
Resolves: #28228

History
#1 - 2011-07-15 10:35 - Christopher Hlubek

One note: It would be okay to bundle the Doctrine\Common package as it just provides general tools and datastructures. Though I still feel
uncomfortable with the naming implications since it looks like we have this strong dependency on Doctrine.

#2 - 2011-07-19 11:18 - Mr. Hudson
- Status changed from New to Under Review

Patch set 2 of change I0ae80d2106c758d12242805ed20becb696e75da8 has been pushed to the review server.
It is available at http://review.typo3.org/3407

#3 - 2011-07-19 11:19 - Christopher Hlubek
- Assigned To set to Christopher Hlubek

#4 - 2011-07-19 18:53 - Mr. Hudson

Patch set 3 of change I0ae80d2106c758d12242805ed20becb696e75da8 has been pushed to the review server.
It is available at http://review.typo3.org/3407

#5 - 2011-07-19 18:54 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Resolved for now
